Subject: Re: bug#33470: bug#34249: [PATCH] guix package: Avoid spinner at end of output.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 07 Feb 2019 17:09:25 +0100

Hi!

Ricardo Wurmus <[email-masked]> skribis:

> Christopher Baines <[email-masked]> writes:
>
>> I've tried out the change you pushed here [1], and it looks good to me
>> :) I can't see anything odd in the output now.
>>
>> 1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7473bce207af846312d5167a398f5f20bbf3e896
>
> With this change I see that there are now two empty lines between
> “downloading” lines.  The updating line flickers, too.
>
> I wonder if maybe too much is deleted.  I can’t give specifics, but it
> did seem a little weird when I observed the output on my i686 machine.

Indeed, I noticed it too.  I believe that
024d5275c5cd72c0121b4f70d64c63f859a68f17 fixes it.

Let me know!

Thanks,
Ludo’.